Package Details: alacritty-ligatures-git 0.8.0.1772.g3ed0430-1

Git Clone URL: https://aur.archlinux.org/alacritty-ligatures-git.git (read-only, click to copy)
Package Base: alacritty-ligatures-git
Description: A cross-platform, GPU-accelerated terminal emulator(GIT VERSION)
Upstream URL: https://github.com/alacritty/alacritty
Licenses: Apache
Conflicts: alacritty
Provides: alacritty
Submitter: Atif
Maintainer: Atif
Last Packager: Atif
Votes: 17
Popularity: 0.089235
First Submitted: 2020-09-05 10:02 (UTC)
Last Updated: 2021-02-10 05:57 (UTC)

Required by (30)

Sources (1)

Latest Comments

a9g commented on 2023-01-02 19:20 (UTC)

@hughesjs

For anyone using the fee1-dead's branch getting test errors, check out this PR pull request 1.

Currently, my fork, based on fee1-dead's fork, can pass the test.

hughesjs commented on 2022-12-16 18:01 (UTC)

Getting some test errors on build.

Any ideas?

failures:
    input::tests::double_click
    input::tests::multi_click_separate_buttons
    input::tests::single_click
    input::tests::single_middle_click
    input::tests::single_right_click
    input::tests::triple_click

mrhariseldon commented on 2022-04-30 22:03 (UTC)

Agree with @eburghar, the fee1-dead's ligatures_harfbuzz branch should be used, it's closer to main, and the overall implementation is improved if I'm not mistaken.

eburghar commented on 2022-04-29 21:27 (UTC)

There is an opened pull pull request 5696 to add ligatures support to the latest version of alacritty. I think the original zenixls2 fork is now outdated.

The aforementioned PR is built upon https://github.com/fee1-dead/alacritty/tree/ligatures_harfbuzz which also integrate a patched crossfont dependency.

Here is a PKGBUILD for that fork.

BigfootLives commented on 2022-01-11 17:44 (UTC) (edited on 2022-02-02 15:06 (UTC) by BigfootLives)

It might be worth using zenixls2's fork instead, as it's considerably more recent.

pablogomez commented on 2021-03-27 12:33 (UTC) (edited on 2021-03-27 12:33 (UTC) by pablogomez)

==> Starting build()...
    Updating git repository `https://github.com/zenixls2/crossfont`
error: failed to resolve patches for `https://github.com/rust-lang/crates.io-index`

Caused by:
  failed to load source for dependency `crossfont`

Caused by:
  Unable to update https://github.com/zenixls2/crossfont?branch=ligature#5c6d16d0

Caused by:
  failed to create directory `/cargo/git/db/crossfont-ce4774234e547836`

Caused by:
  Permission denied (os error 13)
==> ERROR: A failure occurred in build().
    Aborting...
:: Packages failed to build: alacritty-ligatures-git-0.8.0.1772.g3ed0430-1